### Method

# GObject Closure invoke

#### Declaration [src]

    void
    g_closure_invoke (
      GClosure* closure,
      GValue* return_value,
      guint n_param_values,
      const GValue* param_values,
      gpointer invocation_hint
    )

#### Description [src]

Invokes the closure, i.e. executes the callback represented by the `closure`.

#### Parameters

`return_value`

  Type: `GValue`

  A `GValue` to store the return value. May be `NULL` if the callback of `closure` doesn’t return a value.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

`n_param_values`

  Type: `guint`

  The length of the `param_values` array.

`param_values`

  Type: An array of `GValue`

  An array of `GValues` holding the arguments on which to invoke the callback of `closure`.

  The length of the array is specified in the `n_param_values` argument.
  The data is owned by the caller of the method.

`invocation_hint`

  Type: `gpointer`

  A context-dependent invocation hint.

  The argument can be `NULL`.
  The data is owned by the caller of the method.